Bug 1242328 - Review Request: takari-tycho-support - Takari Tycho Base
Summary: Review Request: takari-tycho-support - Takari Tycho Base
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-13 05:29 UTC by Mikolaj Izdebski
Modified: 2016-08-14 16:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-14 16:15:27 UTC
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mikolaj Izdebski 2015-07-13 05:29:30 UTC
Spec URL: https://raw.githubusercontent.com/mizdebsk/newpkg/b622854ae711b3d0312fb5977e38c687992a7a9b/takari-tycho-support.spec
SRPM URL: https://kojipkgs.fedoraproject.org/work/cli-build/1436765260.906526.uYLEzpAT/takari-tycho-support-0.16.0-2.fc23.src.rpm
Description: Takari is a next generation development infrastructure framework.
This package provides Maven POM file which serves as the base of Tycho
projects which have plugins, tests, and deployable features.
Everything that is required is provided and parameterized by
specifying properties in the host POM.
Fedora Account System Username: mizdebsk

This is a re-review request for a package rename, and the old package name that this is replacing is "tesla-tycho-support".

Comment 2 Mikolaj Izdebski 2015-07-13 05:48:21 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10338522

Comment 3 gil cattaneo 2015-07-13 07:42:04 UTC
hi, have time for this https://bugzilla.redhat.com/show_bug.cgi?id=1235422 ?

Comment 4 gil cattaneo 2015-07-13 08:40:45 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
 IGNORE
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present. Note: Javadocs are optional for
  Fedora versions >= 21
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
 IGNORE

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: takari-tycho-support-0.16.0-2.fc23.noarch.rpm
          takari-tycho-support-0.16.0-2.fc23.src.rpm
takari-tycho-support.noarch: W: spelling-error %description -l en_US deployable -> deplorable, deploy able, deploy-able
takari-tycho-support.noarch: W: spelling-error %description -l en_US parameterized -> parameter
takari-tycho-support.noarch: W: obsolete-not-provided tesla-tycho-support
takari-tycho-support.src: W: spelling-error %description -l en_US deployable -> deplorable, deploy able, deploy-able
takari-tycho-support.src: W: spelling-error %description -l en_US parameterized -> parameter
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
takari-tycho-support.noarch: W: spelling-error %description -l en_US deployable -> deplorable, deploy able, deploy-able
takari-tycho-support.noarch: W: spelling-error %description -l en_US parameterized -> parameter
takari-tycho-support.noarch: W: obsolete-not-provided tesla-tycho-support
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
takari-tycho-support (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(io.takari:takari:pom:)
    mvn(org.eclipse.tycho:target-platform-configuration)
    mvn(org.eclipse.tycho:tycho-maven-plugin)



Provides
--------
takari-tycho-support:
    mvn(io.takari.tycho:tycho-support:pom:)
    mvn(io.tesla.tycho:tycho-support:pom:)
    takari-tycho-support



Source checksums
----------------
https://github.com/takari/tycho-support/archive/tycho-support-0.16.0.tar.gz :
  CHECKSUM(SHA256) this package     : bf7ab52772d802fc10af2e3b09de95bcadec27bf155800f2988a4d3862a9298d
  CHECKSUM(SHA256) upstream package : bf7ab52772d802fc10af2e3b09de95bcadec27bf155800f2988a4d3862a9298d
http://www.eclipse.org/legal/epl-v10.html :
  CHECKSUM(SHA256) this package     : a40741b59364cc49449255e9b9bfe1fcfe6a2e7ab4d37ca89db3bacbfb14e9d2
  CHECKSUM(SHA256) upstream package : a40741b59364cc49449255e9b9bfe1fcfe6a2e7ab4d37ca89db3bacbfb14e9d2


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1242328 --plugins Java -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 gil cattaneo 2015-07-13 08:41:22 UTC
NON blocking issues:
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

approved

Comment 6 Mikolaj Izdebski 2015-07-13 08:44:10 UTC
New Package SCM Request
=======================
Package Name: takari-tycho-support
Short Description: Takari Tycho Base
Owners: mizdebsk msimacek msrb
Branches: f22
InitialCC: java-sig

Comment 7 Gwyn Ciesla 2015-07-15 17:41:50 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.